using eSuite.WorkBench.IoC;
using System.Windows;

namespace eSuite.WorkBench
{
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            var iocContainer = new IocContainer();
            iocContainer.Registering += IocRegister.RegisterIocTypes;

            Window mainWindow = (Window)iocContainer.Resolve<IMainWindow>();
            mainWindow.Show();
        }
    }
}
